org.gradle.plugins.javascript.rhino.worker

## Interface RhinoWorkerUtils.ScopeOperation<T>

- All Known Implementing Classes:
    RhinoWorkerUtils.DefaultScopeOperation
  Enclosing class:
    RhinoWorkerUtils

      public static interface RhinoWorkerUtils.ScopeOperation<T>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `action(org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Context context)`
    `void` | `initContext(org.mozilla.javascript.Context context)`

- - ### Method Detail

    - #### initContext

          void initContext(org.mozilla.javascript.Context context)

    - #### action

          T action(org.mozilla.javascript.Scriptable scope,
                 org.mozilla.javascript.Context context)